Modbot Docs
APIAPI referenceDiscord

Get Discord member

GET/api/discord/members/{id}

One member of the Discord server, current or past.

Needs the ViewMembers permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/discord/members/string"
{  "userId": "string",  "username": "string",  "displayName": "string",  "plainName": null,  "globalName": null,  "nickname": null,  "avatarUrl": null,  "isBot": true,  "joinedAt": null,  "leftAt": null,  "roles": [    {      "id": "string",      "name": null,      "color": 0    }  ],  "timedOutUntil": null,  "isPending": true,  "boostingSince": null,  "firstSeenAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "linkedVRChat": null}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.